diff --git python-wstool/python-wstool.spec python-wstool/python-wstool.spec.tmp
index 8d666447b0..aaa828a207 100644
--- python-wstool/python-wstool.spec
+++ python-wstool/python-wstool.spec.tmp
@@ -11,7 +11,7 @@
 
 Name:           python-%{module_name}
 Version:        0.1.13
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Tool for managing a workspace of multiple heterogeneous SCM repositories
 
 License:        BSD
@@ -36,25 +36,32 @@ BuildRequires:  python-vcstools >= 0.1.38
 BuildRequires:  PyYAML
 BuildRequires:  subversion
 
-Requires:       bzr
-Requires:       git
-Requires:       mercurial
-Requires:       python-dateutil
-Requires:       python-rosinstall
-Requires:       python-vcstools >= 0.1.38
-Requires:       PyYAML
-Requires:       subversion
+%global _description\
+wstool provides commands to manage several local SCM repositories (supports\
+git, mercurial, subversion, bazaar) based on a single workspace definition file\
+(.rosinstall).\
+\
+wstool replaces the rosws tool for catkin workspaces. As catkin workspaces\
+create their own setup file and environment, wstool is reduced to version\
+control functions only. So wstool does not have a "regenerate" command, and\
+does not allow adding non-version controlled elements to workspaces. In all\
+other respects, it behaves the same as rosws.
 
-%description
-wstool provides commands to manage several local SCM repositories (supports
-git, mercurial, subversion, bazaar) based on a single workspace definition file
-(.rosinstall).
+%description %_description
 
-wstool replaces the rosws tool for catkin workspaces. As catkin workspaces
-create their own setup file and environment, wstool is reduced to version
-control functions only. So wstool does not have a "regenerate" command, and
-does not allow adding non-version controlled elements to workspaces. In all
-other respects, it behaves the same as rosws.
+%package -n python2-%{module_name}
+Summary: %summary
+Requires:       subversion
+Requires:       PyYAML
+Requires:       python-vcstools >= 0.1.38
+Requires:       python-rosinstall
+Requires:       python-dateutil
+Requires:       mercurial
+Requires:       git
+Requires:       bzr
+%{?python_provide:%python_provide python2-%{module_name}}
+
+%description -n python2-%{module_name} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{module_name}
@@ -134,7 +141,7 @@ nosetests-%{python3_version} --with-coverage --cover-package=%{module_name} -w t
 popd
 %endif # with_python3 
 
-%files
+%files -n python2-%{module_name}
 %doc LICENSE README.rst doc/changelog.rst
 %{_bindir}/%{module_name}
 %{python_sitelib}/%{module_name}/
@@ -157,6 +164,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.13-5
+- Python 2 subpackage renamed to python2-wstool
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.13-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-wtforms/python-wtforms.spec python-wtforms/python-wtforms.spec.tmp
index 898e734cfe..c1a0ce3dc1 100644
--- python-wtforms/python-wtforms.spec
+++ python-wtforms/python-wtforms.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-wtforms
 Version:        2.0
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Forms validation and rendering library for python
 
 Group:          Development/Libraries
@@ -24,11 +24,19 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
 
-%description
-With wtforms, your form field HTML can be generated for you. 
-This allows you to maintain separation of code and presentation, 
+%global _description\
+With wtforms, your form field HTML can be generated for you.\
+This allows you to maintain separation of code and presentation,\
 and keep those messy parameters out of your python code.
 
+%description %_description
+
+%package -n python2-wtforms
+Summary: %summary
+%{?python_provide:%python_provide python2-wtforms}
+
+%description -n python2-wtforms %_description
+
 %if 0%{?with_python3}
 %package -n python3-wtforms
 Summary:        Forms validation and rendering library for python
@@ -80,7 +88,7 @@ popd
 
 %find_lang wtforms
 
-%files -f wtforms.lang
+%files -n python2-wtforms -f wtforms.lang
 %doc docs/ LICENSE.txt PKG-INFO
 %{python_sitelib}/*.egg-info
 %{python_sitelib}/wtforms/
@@ -93,6 +101,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0-11
+- Python 2 subpackage renamed to python2-wtforms
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-xcffib/python-xcffib.spec python-xcffib/python-xcffib.spec.tmp
index 134df057ea..a032f0cc28 100644
--- python-xcffib/python-xcffib.spec
+++ python-xcffib/python-xcffib.spec.tmp
@@ -5,7 +5,7 @@
 Summary: A drop in replacement for xpyb, an XCB python binding
 Name: python-xcffib
 Version: 0.5.1
-Release: 2%{?dist}
+Release: 3%{?dist}
 Source0: https://pypi.org/packages/source/x/xcffib/xcffib-%{version}.tar.gz
 License: ASL 2.0
 URL:  https://github.com/tych0/xcffib
@@ -26,16 +26,23 @@ BuildRequires:  python3-cffi >= 1.1.2
 BuildRequires:  python3-six
 %endif
 
-Requires:  python-six
-Requires:  python-cffi >= 1.1.2
+%global _description\
+xcffib is intended to be a (mostly) drop-in replacement for xpyb.  xpyb\
+has an inactive upstream, several memory leaks, is python2 only and doesn't\
+have pypy support. xcffib is a binding which uses cffi, which mitigates\
+some of the issues described above. xcffib also builds bindings for 27 of\
+the 29 (xprint and xkb are missing) X extensions in 1.10.
+
+%description %_description
+
+%package -n python2-xcffib
+Summary: %summary
 Requires:  libxcb
+Requires:  python-cffi >= 1.1.2
+Requires:  python-six
+%{?python_provide:%python_provide python2-xcffib}
 
-%description
-xcffib is intended to be a (mostly) drop-in replacement for xpyb.  xpyb
-has an inactive upstream, several memory leaks, is python2 only and doesn't
-have pypy support. xcffib is a binding which uses cffi, which mitigates
-some of the issues described above. xcffib also builds bindings for 27 of
-the 29 (xprint and xkb are missing) X extensions in 1.10.
+%description -n python2-xcffib %_description
 
 %if 0%{?with_python3}
 %package -n python3-xcffib
@@ -75,7 +82,7 @@ cp -a . %{py3dir}
 %endif # with_python3
 
 
-%files
+%files -n python2-xcffib
 %doc LICENSE
 %doc README.md
 %{python2_sitelib}/xcffib
@@ -91,6 +98,10 @@ cp -a . %{py3dir}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.1-3
+- Python 2 subpackage renamed to python2-xcffib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-xgoogle/python-xgoogle.spec python-xgoogle/python-xgoogle.spec.tmp
index 9fa4d73b95..b1ce33478b 100644
--- python-xgoogle/python-xgoogle.spec
+++ python-xgoogle/python-xgoogle.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:		python-%{realname}
 Version:	1.4
-Release:	12%{?dist}
+Release:	13%{?dist}
 Summary:	Python library to search Google without using their API
 Group:		Development/Languages
 License:	MIT
@@ -14,13 +14,21 @@ BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 BuildRequires:	python-devel
 BuildRequires:	python-setuptools
 BuildRequires:	dos2unix
-Requires:	python-BeautifulSoup
 BuildArch:	noarch
 
 
-%description
-A Python library to search Google without using their API.
+%global _description\
+A Python library to search Google without using their API.\
+
+
+%description %_description
 
+%package -n python2-%{realname}
+Summary: %summary
+Requires:	python-BeautifulSoup
+%{?python_provide:%python_provide python2-%{realname}}
+
+%description -n python2-%{realname} %_description
 
 %prep
 %setup -q -c -n %{realname}-%{version}
@@ -45,7 +53,7 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-%{realname}
 %defattr(-,root,root,-)
 %doc examples contributors.txt projects-using-xgoogle.txt readme.txt
 %{python_sitelib}/%{realname}/
@@ -53,6 +61,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4-13
+- Python 2 subpackage renamed to python2-xgoogle
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-xklavier/python-xklavier.spec python-xklavier/python-xklavier.spec.tmp
index 14ccf4fba9..0189bc995e 100644
--- python-xklavier/python-xklavier.spec
+++ python-xklavier/python-xklavier.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-xklavier
 Version:        0.2
-Release:        18%{?dist}
+Release:        19%{?dist}
 Summary:        Python bindings for libxklavier
 
 Group:          Development/Languages
@@ -14,10 +14,18 @@ Patch0:         python-xklavier-libxklavier-5.patch
 
 BuildRequires:  python-devel, libxklavier-devel, pygobject2-devel, gtk2-devel
 
-%description
-Python bindings for libxklavier which is a library providing 
+%global _description\
+Python bindings for libxklavier which is a library providing\
 high-level API for X Keyboard Extension known as XKB.
 
+%description %_description
+
+%package -n python2-xklavier
+Summary: %summary
+%{?python_provide:%python_provide python2-xklavier}
+
+%description -n python2-xklavier %_description
+
 %prep
 %setup -q
 %patch0 -p1
@@ -36,13 +44,17 @@ make install DESTDIR=%{buildroot}
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-xklavier
 %defattr(-,root,root,-)
 %doc COPYING AUTHORS
 %{python_sitearch}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-19
+- Python 2 subpackage renamed to python2-xklavier
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-18
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-xmltramp/python-xmltramp.spec python-xmltramp/python-xmltramp.spec.tmp
index 847573184c..c5793687a9 100644
--- python-xmltramp/python-xmltramp.spec
+++ python-xmltramp/python-xmltramp.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-xmltramp
 Version:        2.17
-Release:        18%{?dist}
+Release:        19%{?dist}
 Summary:        Pythonic API for XML
 
 Group:          Development/Languages
@@ -18,9 +18,17 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python-devel
 
-%description
+%global _description\
 xmltramp is a simple Pythonic API for working with XML
 
+%description %_description
+
+%package -n python2-xmltramp
+Summary: %summary
+%{?python_provide:%python_provide python2-xmltramp}
+
+%description -n python2-xmltramp %_description
+
 %prep
 %setup -c -T
 cp -p %{SOURCE0} xmltramp.py
@@ -42,12 +50,16 @@ cp -p xmltramp.py $RPM_BUILD_ROOT/%{python_sitelib}/
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-xmltramp
 %defattr(-,root,root,-)
 %{python_sitelib}/xmltramp.py*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.17-19
+- Python 2 subpackage renamed to python2-xmltramp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.17-18
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-xmpp/python-xmpp.spec python-xmpp/python-xmpp.spec.tmp
index 12d2993b95..d70cc1e0e5 100644
--- python-xmpp/python-xmpp.spec
+++ python-xmpp/python-xmpp.spec.tmp
@@ -3,29 +3,37 @@
 
 Name:           python-xmpp
 Version:        0.5.0
-Release:        0.15.rc1%{?dist}
+Release:        0.16.rc1%{?dist}
 Summary:        Python library for easy scripting with Jabber
 Group:          Development/Languages
 License:        GPLv2+
 URL:            https://github.com/%{upstream}/%{realname}
 Source0:        https://github.com/%{upstream}/%{realname}/archive/%{version}-rc1/%{realname}-%{version}.tar.gz
-Provides:       %{realname} = %{version}-%{release}
 BuildArch:      noarch
 # For python-macros
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
-Requires:       python-dns
-
-%description
-xmpppy is a Python library that is targeted to provide easy scripting
-with Jabber. Similar projects are Twisted Words and jabber.py.
 
-This library was not designed from scratch. It inherits some code from
-jabberpy and have very similar API in many places. Though it is
-separate project since it have almost completely different
-architecture and primarily aims to work with jabberd2 - the new Open
+%global _description\
+xmpppy is a Python library that is targeted to provide easy scripting\
+with Jabber. Similar projects are Twisted Words and jabber.py.\
+\
+This library was not designed from scratch. It inherits some code from\
+jabberpy and have very similar API in many places. Though it is\
+separate project since it have almost completely different\
+architecture and primarily aims to work with jabberd2 - the new Open\
 Source Jabber Server.
 
+%description %_description
+
+%package -n python2-xmpp
+Summary: %summary
+Requires:       python-dns
+Provides:       %{realname} = %{version}-%{release}
+%{?python_provide:%python_provide python2-xmpp}
+
+%description -n python2-xmpp %_description
+
 %prep
 %setup -q -n %{realname}-%{version}-rc1
 
@@ -39,11 +47,15 @@ find doc -type f | xargs chmod a-x
 %install
 %py_install
 
-%files
+%files -n python2-xmpp
 %doc README doc/*
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.0-0.16.rc1
+- Python 2 subpackage renamed to python2-xmpp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-0.15.rc1
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-xpyb/python-xpyb.spec python-xpyb/python-xpyb.spec.tmp
index c4c8903dc5..bbf726d9d4 100644
--- python-xpyb/python-xpyb.spec
+++ python-xpyb/python-xpyb.spec.tmp
@@ -1,6 +1,6 @@
 Name:		python-xpyb
 Version:	1.3.1
-Release:	8%{?dist}
+Release:	9%{?dist}
 Summary:	Python bindings to XCB
 License:	Public Domain
 URL:		http://xcb.freedesktop.org
@@ -9,16 +9,24 @@ BuildRequires:	xcb-proto
 BuildRequires:	libxcb-devel
 BuildRequires:	python2-devel
 
-%description
-The Python binding for XCB allows the X protocol to be accessed directly from
-Python. There are two components:
-
-- A Python extension written in C. This exposes XCB-specific objects and
-  library functions, as well as providing various base classes used by the
-  generated code.
-- Python modules which are generated directly from the XCB-XML protocol
+%global _description\
+The Python binding for XCB allows the X protocol to be accessed directly from\
+Python. There are two components:\
+\
+- A Python extension written in C. This exposes XCB-specific objects and\
+  library functions, as well as providing various base classes used by the\
+  generated code.\
+- Python modules which are generated directly from the XCB-XML protocol\
   descriptions.
 
+%description %_description
+
+%package -n python2-xpyb
+Summary: %summary
+%{?python_provide:%python_provide python2-xpyb}
+
+%description -n python2-xpyb %_description
+
 %package devel
 Summary:	Devel files of xpyb
 Requires:	%{name}%{?_isa} = %{version}-%{release}
@@ -45,7 +53,7 @@ find %{buildroot} -name '*.la' -exec rm -f {} ';'
 # Delete INSTALL doc
 find %{buildroot} -name 'INSTALL' -exec rm -f {} ';'
 
-%files
+%files -n python2-xpyb
 %{python_sitearch}/xcb/
 %{_docdir}/xpyb/
 
@@ -54,6 +62,10 @@ find %{buildroot} -name 'INSTALL' -exec rm -f {} ';'
 %{_includedir}/*.h
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3.1-9
+- Python 2 subpackage renamed to python2-xpyb
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-xtermcolor/python-xtermcolor.spec python-xtermcolor/python-xtermcolor.spec.tmp
index 94ae572498..847ef60c81 100644
--- python-xtermcolor/python-xtermcolor.spec
+++ python-xtermcolor/python-xtermcolor.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-%{pypi_name}
 Version:        1.3
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Python module for colorizing output with xterm 256 color support
 
 License:        MIT
@@ -22,9 +22,17 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
 
-%description
+%global _description\
 Python module for colorizing output with xterm 256 color support.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
 Summary:        Python module for colorizing output with xterm 256 color support
@@ -66,7 +74,7 @@ popd
 
 %{__python} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-%{pypi_name}
 %doc LICENSE
 %{_bindir}/xtermcolor
 %{python_sitelib}/%{pypi_name}
@@ -85,6 +93,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3-9
+- Python 2 subpackage renamed to python2-xtermcolor
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-xvfbwrapper/python-xvfbwrapper.spec python-xvfbwrapper/python-xvfbwrapper.spec.tmp
index 7d57f3b213..3a87792af9 100644
--- python-xvfbwrapper/python-xvfbwrapper.spec
+++ python-xvfbwrapper/python-xvfbwrapper.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.2.4
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        run headless display inside X virtual framebuffer (Xvfb)
 
 License:        MIT
@@ -20,10 +20,6 @@ BuildRequires:  python2-devel
 BuildRequires:  python-nose
 BuildRequires:  xorg-x11-server-Xvfb
 
-Requires:  xorg-x11-server-Xvfb
-
-Provides:  python2-%{pypi_name} = %{version}-%{release}
-
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
 Summary:        run headless display inside X virtual framebuffer (Xvfb)
@@ -35,9 +31,18 @@ BuildRequires: python3-nose
 Python wrapper for running a display inside X virtual framebuffer (Xvfb)
 %endif
 
-%description
+%global _description\
 Python wrapper for running a display inside X virtual framebuffer (Xvfb)
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+Requires:  xorg-x11-server-Xvfb
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %prep
 %setup -qc
 mv %{pypi_name}-%{version} python2
@@ -87,7 +92,7 @@ nosetests-%{python_version}
 nosetests-%{python3_version}
 %endif
 
-%files
+%files -n python2-%{pypi_name}
 %doc README.rst
 %license
 
@@ -103,6 +108,10 @@ nosetests-%{python3_version}
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.4-8
+- Python 2 subpackage renamed to python2-xvfbwrapper
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-yenc/python-yenc.spec python-yenc/python-yenc.spec.tmp
index a0d21e2aa5..4834aacf0f 100644
--- python-yenc/python-yenc.spec
+++ python-yenc/python-yenc.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-yenc
 Version:        0.4.0
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        yEnc Module for Python
 Group:          Development/Languages
 License:        GPLv2+
@@ -12,12 +12,20 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 
-%description
-python-yenc is a yEnc decoding library for Python. yEnc is a
-binary-to-text encoding scheme for transferring binary files
-in messages on Usenet or via e-mail.
+%global _description\
+python-yenc is a yEnc decoding library for Python. yEnc is a\
+binary-to-text encoding scheme for transferring binary files\
+in messages on Usenet or via e-mail.\
 
 
+%description %_description
+
+%package -n python2-yenc
+Summary: %summary
+%{?python_provide:%python_provide python2-yenc}
+
+%description -n python2-yenc %_description
+
 %prep
 %setup -q -n dual75-yenc-%{yenc_hash}
 
@@ -40,13 +48,17 @@ PYTHONPATH="$PYTHONPATH:$RPM_BUILD_ROOT/%{python_sitearch}" %{__python2} test/te
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-yenc
 %defattr(-,root,root,-)
 %doc README TODO COPYING
 %{python_sitearch}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.0-9
+- Python 2 subpackage renamed to python2-yenc
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-yolk/python-yolk.spec python-yolk/python-yolk.spec.tmp
index 7e18dd3db8..7e222d8faa 100644
--- python-yolk/python-yolk.spec
+++ python-yolk/python-yolk.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{mod_name}
 Version:        0.4.3
-Release:        7%{?dist}
+Release:        8%{?dist}
 Url:            https://pypi.python.org/pypi/yolk
 Summary:        Command-line tool querying PyPI and Python packages installed on your system
 License:        BSD
@@ -17,16 +17,24 @@ BuildArch:      noarch
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 
-%description
-Yolk is a Python tool for obtaining information about packages installed by 
-distutils, setuptools and easy_install and querying packages on PyPI 
-(Python Package Index a.k.a. The Cheese Shop).
-
-Yolk can list all the packages installed by distutils or setuptools on your 
-system by Python2.5 or packages installed by setuptools if you have Python2.4. 
-You can see which packages are active, non-active or in development mode and 
+%global _description\
+Yolk is a Python tool for obtaining information about packages installed by\
+distutils, setuptools and easy_install and querying packages on PyPI\
+(Python Package Index a.k.a. The Cheese Shop).\
+\
+Yolk can list all the packages installed by distutils or setuptools on your\
+system by Python2.5 or packages installed by setuptools if you have Python2.4.\
+You can see which packages are active, non-active or in development mode and\
 show you which have newer versions available by querying PyPI.
 
+%description %_description
+
+%package -n python2-%{mod_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{mod_name}}
+
+%description -n python2-%{mod_name} %_description
+
 %prep
 %setup -q -n %{mod_name}-%{version}
 
@@ -46,7 +54,7 @@ cp docs/yolk.1 %{buildroot}/%{_mandir}/man1/
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-%{mod_name}
 %defattr(-,root,root,-)
 %doc AUTHORS ChangeLog COPYING CREDITS FAQ INSTALL NEWS PKG-INFO README THANKS TODO examples/*
 %{_bindir}/*
@@ -54,6 +62,10 @@ rm -rf %{buildroot}
 %{_mandir}/man1/%{mod_name}.1.gz
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.3-8
+- Python 2 subpackage renamed to python2-yolk
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-yourls/python-yourls.spec python-yourls/python-yourls.spec.tmp
index c043917fcb..d924f380fd 100644
--- python-yourls/python-yourls.spec
+++ python-yourls/python-yourls.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-yourls
 Version:        0.2.0
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Simple Python client for the YOURLS URL shortener
 
 License:        GPLv2+
@@ -14,9 +14,17 @@ BuildRequires:  python-devel
 # This only exists in F16 and newer
 BuildRequires:  pytest
 
-%description
+%global _description\
 Simple Python client for the YOURLS URL shortener
 
+%description %_description
+
+%package -n python2-yourls
+Summary: %summary
+%{?python_provide:%python_provide python2-yourls}
+
+%description -n python2-yourls %_description
+
 %prep
 %setup -q
 
@@ -36,13 +44,17 @@ rm -rf %{buildroot}
 %clean
 %{__rm} -rf %{buildroot}
 
-%files
+%files -n python2-yourls
 %defattr(-,root,root,-)
 %doc LICENSE README
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-11
+- Python 2 subpackage renamed to python2-yourls
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-zbase32/python-zbase32.spec python-zbase32/python-zbase32.spec.tmp
index 04f3d93a24..272225b287 100644
--- python-zbase32/python-zbase32.spec
+++ python-zbase32/python-zbase32.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-zbase32
 Version:        1.1.5
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        A base32 encoder/decoder
 License:        BSD and LGPLv2
 URL:            http://allmydata.org/trac/zbase32
@@ -9,11 +9,19 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  pyutil
-Requires:       pyutil
 
-%description
+%global _description\
 An alternate base32 encoder (not RFC 3548 compliant).
 
+%description %_description
+
+%package -n python2-zbase32
+Summary: %summary
+Requires:       pyutil
+%{?python_provide:%python_provide python2-zbase32}
+
+%description -n python2-zbase32 %_description
+
 %prep
 %setup -qn zbase32-%{version}
 
@@ -29,12 +37,16 @@ chmod 0755 %{buildroot}%{python2_sitelib}/zbase32/zbase32.py
 %check
 %{__python2} setup.py test
 
-%files
+%files -n python2-zbase32
 %doc README DESIGN TODO
 %{python2_sitelib}/zbase32
 %{python2_sitelib}/zbase32-%{version}-py%{python2_version}.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.5-8
+- Python 2 subpackage renamed to python2-zbase32
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-zc-buildout/python-zc-buildout.spec python-zc-buildout/python-zc-buildout.spec.tmp
index c4977a9f5f..f0e2abc965 100644
--- python-zc-buildout/python-zc-buildout.spec
+++ python-zc-buildout/python-zc-buildout.spec.tmp
@@ -16,7 +16,7 @@
 Summary: System for managing development buildouts
 Name: python-zc-buildout
 Version: 2.5.3
-Release: 4%{?dist}
+Release: 5%{?dist}
 Source0: https://pypi.io/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
 License: ZPLv2.1
 Group: Development/Libraries
@@ -41,14 +41,21 @@ BuildRequires:  python3-manuel
 BuildRequires:  python3-six
 %endif
 
+%global _description\
+The Buildout project provides support for creating applications,\
+especially Python applications.  It provides tools for assembling\
+applications from multiple parts, Python or otherwise.  An application\
+may actually contain multiple programs, processes, and configuration\
+settings.
+
+%description %_description
+
+%package -n python2-zc-buildout
+Summary: %summary
 Requires: python-setuptools
+%{?python_provide:%python_provide python2-zc-buildout}
 
-%description
-The Buildout project provides support for creating applications,
-especially Python applications.  It provides tools for assembling
-applications from multiple parts, Python or otherwise.  An application
-may actually contain multiple programs, processes, and configuration
-settings.
+%description -n python2-zc-buildout %_description
 
 %if 0%{?with_python3}
 %package -n python3-zc-buildout
@@ -103,7 +110,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-zc-buildout
 %defattr(-,root,root,-)
 %doc CHANGES.rst README.rst DEVELOPERS.txt
 %{python2_sitelib}/%(echo %{modname} | sed -r 's|\.|/|')
@@ -126,6 +133,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.5.3-5
+- Python 2 subpackage renamed to python2-zc-buildout
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.3-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-zc-customdoctests/python-zc-customdoctests.spec python-zc-customdoctests/python-zc-customdoctests.spec.tmp
index cb09b7d2eb..ca7cd2743e 100644
--- python-zc-customdoctests/python-zc-customdoctests.spec
+++ python-zc-customdoctests/python-zc-customdoctests.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:               python-zc-customdoctests
 Version:            1.0.1
-Release:            12%{?dist}
+Release:            13%{?dist}
 Summary:            Use doctest with other languages
 Group:              Development/Libraries
 License:            ZPLv2.1
@@ -35,15 +35,23 @@ BuildRequires:      python3-manuel
 BuildRequires:      python3-six
 %endif
 
-%description
-doctest (and recently manuel) provide hooks for using custom doctest
-parsers.  `zc.customdoctests` helps to leverage this to support other
-languages, such as JavaScript::
+%global _description\
+doctest (and recently manuel) provide hooks for using custom doctest\
+parsers.  `zc.customdoctests` helps to leverage this to support other\
+languages, such as JavaScript::\
+\
+js> function double (x) { ...     return x*2; ... } js> double(2) 4\
+\
+And with manuel, it facilitates doctests that mix multiple languages,\
+such as Python, JavaScript, and sh.
 
-js> function double (x) { ...     return x*2; ... } js> double(2) 4
+%description %_description
 
-And with manuel, it facilitates doctests that mix multiple languages,
-such as Python, JavaScript, and sh.
+%package -n python2-zc-customdoctests
+Summary: %summary
+%{?python_provide:%python_provide python2-zc-customdoctests}
+
+%description -n python2-zc-customdoctests %_description
 
 %if 0%{?with_python3}
 %package -n python3-zc-customdoctests
@@ -99,7 +107,7 @@ popd
 %endif
 %endif
 
-%files
+%files -n python2-zc-customdoctests
 %doc README.txt CHANGES.txt PKG-INFO
 %{python_sitelib}/zc/customdoctests/
 %{python_sitelib}/%{modname}-%{version}*
@@ -112,6 +120,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-13
+- Python 2 subpackage renamed to python2-zc-customdoctests
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
